class ReviewRatingSerializer < ActiveModel::Serializer
  cache key: 'review_rating', expires_in: 24.hours

  def rating_name
    object.rating.name
  end

  attributes :id, :review_id, :rating_id, :rating_name, :value
end
