#!/bin/bash
export SECRET_TOKEN=$(rake secret)
export SECRET_KEY_BASE=$(rake secret)

### Postgres/Active Record credentials
export PORTALMEC_DB_HOST=localhost
export PORTALMEC_DB_POOL=25
export PORTALMEC_DB_NAME=portalmec
export PORTALMEC_DB_USERNAME=
export PORTALMEC_DB_PASSWORD=

### Dspace credentials
export PORTALMEC_DSPACE_LOGIN=
export PORTALMEC_DSPACE_PASSWORD=
export PORTALMEC_DSPACE_PORT=
export PORTALMEC_DSPACE_HOST=

### Cache
export MEMCACHE_SERVERS=localhost

### SMTP
export ACTION_MAILER_HOST=
export SMTP_ADDRESS=
export SMTP_PORT=

### Gitlab
export GITLAB_PORTALMEC_PRIVATE_TOKEN=

### Rails environment
export RAILS_SERVE_STATIC_FILES=FALSE
export RAILS_ENV=production

### Puma
export PORT=3000
export WEB_CONCURRENCY=$(nproc) # workers
export RAILS_MAX_THREADS=6 # threads per worker

### Redis
export REDIS_HOST=localhost:6379
