namespace :tag do

  desc "Define topics"
  task :define_topics => :environment do
    standard_topics = ['Artes', 'Biologia', 'Ciências', 'Educação Física', 'Filosofia',
     'Física', 'Geografia', 'História', 'Matemática', 'Língua Portuguesa', 'Química', 'Sociologia']
    desctask(standard_topics, 'topic')
  end

  desc "Define school levels"
  task :define_school_levels => :environment do
    standard_school_levels = ['Educação Básica', 'Ensino Fundamental Final', 'Ensino Fundamental Inicial',
     'Ensino Médio', 'Educação Superior', 'Educação Profissional', 'Educação Infantil']

    desctask(standard_school_levels, 'school_level')
end

private
  def desctask(vector, type)
    vector.map do |name|
     t = ActsAsTaggableOn::Tag.find_by_name(name)
     if t.class == ActsAsTaggableOn::Tag
       t.tag_type = type
       t.save
     end
    end
  end
end
