require 'rails_helper'

RSpec.describe Application, type: :model do
  fixtures :applications, :users

  describe 'validate model' do
    it { should belong_to :user }
    it { should validate_presence_of(:domain) }
    it { should validate_presence_of(:application_id) }
  end
end
