module ActivitiesFilterService

  def activities_filtered
    if !self.try(:draft?)
      self.activities.where(key: activities_filter)
    else
      []
    end
  end

  def activities_filter
    [ 'complaint.create',
      'collection.create', 'collection.update', 'collection.destroy',
      'collection_item.create', 'collection_item.update', 'collection_item.destroy',
      'learning_object.create', 'learning_object.update', 'learning_object.destroy',
      'review.create',
      'download.create',
      'like.create', 'like.destroy'
    ]
  end
end
