class ChangeStateTypeInLearningObjects < ActiveRecord::Migration[4.2]
  def change
    add_column :learning_objects, :statenew, :integer, default: 0
    execute <<-SQL
          UPDATE learning_objects set statenew = 1 WHERE state = 'published';
          UPDATE learning_objects set statenew = 2 WHERE state = 'suspended';
        SQL
    remove_column :learning_objects, :state
    rename_column :learning_objects, :statenew, :state
  end
end
